Page MenuHomePhabricator

Update MediaWiki and Wikimedia-deployed extensions for removal of core icon pack in OOjs UI v0.22
Closed, ResolvedPublic8 Story Points

Description

We should update extensions for the removal of OOjs UI core icon pack

Basically, grep all of our code for every icon name removed here: https://gerrit.wikimedia.org/r/#/c/238324/2/src/themes/mediawiki/icons.json then make sure that the appropriate new icon pack is being loaded. Otherwise icons will disappear in various places.

Quick reference on the new homes for each of the icons:

  • interactions: add, advanced, cancel, check, close, ellipsis, help, search, settings
  • editing-advanced: code
  • editing-core: redo, undo
  • alerts: alert, comment, notice
  • movement: collapse, expand, next, previous
  • layout: menu
  • content: history, info, tag, window
  • Removed: circle (no replacement), remove (use 'trash' from the 'moderation' pack instead)

Potential violators – a human needs to verify that all this code has the necessary dependencies
(List generated by searching for \b(setIcon\(|icon:|mw-ui-icon-|icon\b.{0,10}=>).{0,10}\b(add|advanced|alert|cancel|check|circle|close|code|collapse|comment|ellipsis|expand|help|history|info|menu|next|notice|previous|redo|remove|search|settings|tag|undo|window)\b and some manual pruning.

MediaWiki

Wikimedia-deployed extensions

Other

  • extensions/BlueSpiceExtendedSearch/src/MediaWiki/Specials/SearchCenter.php
  • extensions/BlueSpiceExtensions/VisualEditor/VisualEditor.class.php
  • extensions/CollaborationKit/includes/content/CollaborationHubContent.php
  • extensions/CollaborationKit/modules/ext.CollaborationKit.hubtheme.js
  • extensions/CollaborationKit/modules/ext.CollaborationKit.list.members.js
  • extensions/CollaborationKit/modules/ext.CollaborationKit.list.ui.js
  • extensions/FileAnnotations/resources/src/FileAnnotationEditor.js
  • extensions/FileAnnotations/resources/src/FileAnnotator.js
  • extensions/GoogleLogin/javascripts/specialpages/ext.GoogleLogin.specialManage.js
  • extensions/LanguageTool/modules/ext.LanguageToolDialog.js
  • extensions/Newsletter/includes/content/NewsletterContent.php
  • extensions/PerformanceInspector/modules/ext.PerformanceInspector.view.js
  • extensions/PerformanceInspector/modules/collectors/ext.PerformanceInspector.modulescss.js

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2017, 8:19 PM
Jdforrester-WMF triaged this task as High priority.May 31 2017, 11:18 PM
Jdforrester-WMF set the point value for this task to 8.

Change 356501 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Replace uses of the removed 'remove' icon with the 'trash' one

https://gerrit.wikimedia.org/r/356501

Change 356506 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] mediawiki.widgets.datetime/DateTimeInputWidget: Use 'trash' icon which still exists

https://gerrit.wikimedia.org/r/356506

Change 356508 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] mediawiki.special/mediawiki.special.apisandbox: Use 'trash' icon which still exists

https://gerrit.wikimedia.org/r/356508

Change 356501 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Replace uses of the removed 'remove' icon with the 'trash' one

https://gerrit.wikimedia.org/r/356501

Change 356506 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.widgets.datetime/DateTimeInputWidget: Use 'trash' icon which still exists

https://gerrit.wikimedia.org/r/356506

Change 356508 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.special/mediawiki.special.apisandbox: Use 'trash' icon which still exists

https://gerrit.wikimedia.org/r/356508

Potential violators – a human needs to verify that all this code has the necessary dependencies:

(List generated by searching for \b(setIcon\(|icon:|mw-ui-icon-|icon\b.{0,10}=>).{0,10}\b(add|advanced|alert|cancel|check|circle|close|code|collapse|comment|ellipsis|expand|help|history|info|menu|next|notice|previous|redo|remove|search|settings|tag|undo|window)\b and some manual pruning.)

core/includes/widget/SearchInputWidget.php:
   34: 			'icon' => 'search',

core/resources/src/mediawiki/mediawiki.filewarning.js:
   25: 			icon: 'alert',

core/resources/src/mediawiki/page/gallery-slideshow.js:
  123: 			icon: 'previous'
  128: 			icon: 'next'

core/resources/src/mediawiki.rcfilters/ui/mw.rcfilters.ui.FilterTagMultiselectWidget.js:
   59: 				icon: 'search',

core/resources/src/mediawiki.rcfilters/ui/mw.rcfilters.ui.HighlightColorPickerWidget.js:
   98: 				selectedItem.setIcon( 'check' );

core/resources/src/mediawiki.rcfilters/ui/mw.rcfilters.ui.SavedLinksListItemWidget.js:
   41: 			icon: 'ellipsis',
   58: 					icon: 'close',
   73: 			icon: 'check',

core/resources/src/mediawiki.special/mediawiki.special.apisandbox.js:
 1161: 										icon: 'info',
 1431: 						icon: 'help',
 1450: 						icon: 'code',
 1648: 								icon: 'add',

core/resources/src/mediawiki.ui/components/icons.less:
   87: 	// <div class="mw-ui-icon mw-ui-icon-small mw-ui-icon-help"></div>

core/resources/src/mediawiki.widgets/mw.widgets.CalendarWidget.js:
  318: 			icon: 'collapse',
  324: 			icon: 'previous',
  330: 			icon: 'next',

core/resources/src/mediawiki.widgets/mw.widgets.SearchInputWidget.js:
   33: 			icon: 'search',

core/resources/src/mediawiki.widgets.datetime/CalendarWidget.js:
  116: 					icon: 'previous',
  122: 					icon: 'next',

extensions/BlueSpiceExtendedSearch/src/MediaWiki/Specials/SearchCenter.php:
   24:      'icon' => 'search',

extensions/BlueSpiceExtensions/VisualEditor/VisualEditor.class.php:
  141:        array('title' => 'Code', 'format' => 'code', 'icon' => 'code' ),

extensions/CentralNotice/resources/infrastructure/ext.centralNotice.adminUi.bannerSequence.js:
  950:      icon: 'add'

extensions/Cite/modules/ve-cite/ve.ui.MWReferenceDialog.js:
  286:  this.reuseWarningIcon = new OO.ui.IconWidget( { icon: 'alert' } );
  303:    icon: 'settings'

extensions/CollaborationKit/includes/content/CollaborationHubContent.php:
  599:        'icon' => 'add'

extensions/CollaborationKit/modules/ext.CollaborationKit.hubtheme.js:
  294:      icon: 'search',
  301:      icon: 'search',
  337:          icon: 'info',

extensions/CollaborationKit/modules/ext.CollaborationKit.list.members.js:
  122:              icon: 'add',

extensions/CollaborationKit/modules/ext.CollaborationKit.list.ui.js:
  417:              icon: 'add',

extensions/ContentTranslation/modules/source/ext.cx.source.selector.js:
  777:      icon: 'search',

extensions/ContentTranslation/modules/tools/mw.cx.tools.ReferenceTool.js:
   30:    icon: 'close',

extensions/ContentTranslation/modules/tools/mw.cx.tools.TargetLinkTool.js:
   78:      icon: 'add',
   89:      icon: 'close',

extensions/ContentTranslation/modules/ui/mw.cx.ui.Categories.js:
   25:    icon: 'tag',
   48:      icon: 'tag',
   55:      icon: 'tag',
   85:    icon: 'tag',

extensions/ContentTranslation/modules/ui/widgets/mw.cx.ui.PageSelectorWidget.js:
   26:    icon: 'search'

extensions/ContentTranslation/modules/ui/widgets/mw.cx.ui.PublishSettingsWidget.js:
   25:    icon: 'advanced',

extensions/Echo/includes/formatters/SpecialNotificationsFormatter.php:
   25:      'icon' => 'close',

extensions/Echo/modules/ui/mw.echo.ui.BundleNotificationItemWidget.js:
   62:      icon: 'expand',

extensions/Echo/modules/ui/mw.echo.ui.CrossWikiNotificationItemWidget.js:
   78:      icon: 'expand',

extensions/Echo/modules/ui/mw.echo.ui.FooterNoticeWidget.js:
   39:      icon: 'close',

extensions/Echo/modules/ui/mw.echo.ui.NotificationBadgeWidget.js:
   87:      icon: 'next',
   94:      icon: 'advanced',

extensions/Echo/modules/ui/mw.echo.ui.NotificationItemWidget.js:
   82:      icon: 'ellipsis',

extensions/Echo/modules/ui/mw.echo.ui.PaginationWidget.js:
   47:          icon: 'previous',
   51:          icon: 'next',

extensions/Echo/modules/ui/mw.echo.ui.SpecialHelpMenuWidget.js:
   16:      icon: 'advanced',
   44:          icon: 'advanced',
   56:          icon: 'help',

extensions/FileAnnotations/resources/src/FileAnnotationEditor.js:
  107:      icon: 'check',
  113:      icon: 'cancel',

extensions/FileAnnotations/resources/src/FileAnnotator.js:
   75:          icon: 'add',

extensions/Flow/handlebars/flow_header_detail.partial.handlebars:
   11:  <span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-close pull-right collapse-button"

extensions/Flow/handlebars/flow_load_more.partial.handlebars:
    7:    <div class="flow-ui-loading"><div class="mw-ui-icon mw-ui-icon-before mw-ui-icon-advanced"></div></div>

extensions/Flow/handlebars/flow_moderation_actions_list.partial.handlebars:
   64:          {{~#if moderationIcons}}<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> {{/if~}}
   92:          {{~#if moderationIcons}}<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> {{/if~}}

extensions/Flow/handlebars/flow_post_actions.partial.handlebars:
    2:  <div class="flow-menu-js-drop"><a href="javascript:void(0);"><span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-ellipsis"></span></a></div>

extensions/Flow/handlebars/flow_topic_moderation_flag.partial.handlebars:
    2:  {{~#ifCond moderateState "===" "lock"}} mw-ui-icon-check{{/ifCond~}}

extensions/Flow/handlebars/flow_topic_titlebar.partial.handlebars:
    8:    <div class="flow-menu-js-drop"><a href="javascript:void(0);"><span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-ellipsis"></span></a></div>

extensions/Flow/handlebars/flow_topic_titlebar_content.partial.handlebars:
    9:    {{#if isLocked}}<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check"></span> {{/if}}

extensions/Flow/handlebars/compiled/flow_block_board-history.handlebars.php:
   38: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
   44: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"

extensions/Flow/handlebars/compiled/flow_block_header.handlebars.php:
   40: '.$sp.'  <span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-close pull-right collapse-button"

extensions/Flow/handlebars/compiled/flow_block_topic.handlebars.php:
   38: ';},'flow_topic_moderation_flag' => function ($cx, $in, $sp) {return ''.$sp.'<span class="mw-ui-icon mw-ui-icon-before'.LCRun3::hbch($cx, 'ifCond', array(array(((isset($in['moderateState']) && is_array($in)) ? $in['moderateState'] : null),'===','lock'),array()), $in, false, function($cx, $in)use($sp){return ' mw-ui-icon-check';}).''.LCRun3::hbch($cx, 'ifCond', array(array(((isset($in['moderateState']) && is_array($in)) ? $in['moderateState'] : null),'===','hide'),array()), $in, false, function($cx, $in)use($sp){return ' mw-ui-icon-flag';}).''.LCRun3::hbch($cx, 'ifCond', array(array(((isset($in['moderateState']) && is_array($in)) ? $in['moderateState'] : null),'===','delete'),array()), $in, false, function($cx, $in)use($sp){return ' mw-ui-icon-trash';}).'"></span>
   46: '.$sp.'    '.((LCRun3::ifvar($cx, ((isset($in['isLocked']) && is_array($in)) ? $in['isLocked'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check"></span> ' : '').''.LCRun3::ch($cx, 'escapeContent', array(array(((isset($in['content']['format']) && is_array($in['content'])) ? $in['content']['format'] : null),((isset($in['content']['content']) && is_array($in['content'])) ? $in['content']['content'] : null)),array()), 'encq').'</h2>
   99: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
  105: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
  144: '.$sp.'    <div class="flow-menu-js-drop"><a href="javascript:void(0);"><span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-ellipsis"></span></a></div>

extensions/Flow/handlebars/compiled/flow_block_topic_history.handlebars.php:
   38: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
   44: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
   68: '.$sp.'         data-role="delete">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-remove mw-ui-icon-remove-destructive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-delete-',((isset($in['moderationTemplate']) && is_array($in)) ? $in['moderationTemplate'] : null)),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['undelete']) && is_array($in['actions'])) ? $in['actions']['undelete'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-destructive mw-ui-quiet mw-ui-hovericon"
   72: '.$sp.'         data-role="undelete">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-remove mw-ui-icon-remove-destructive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-undelete-',((isset($in['moderationTemplate']) && is_array($in)) ? $in['moderationTemplate'] : null)),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['suppress']) && is_array($in['actions'])) ? $in['actions']['suppress'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-destructive mw-ui-quiet mw-ui-hovericon"

extensions/Flow/handlebars/compiled/flow_block_topic_moderate_post.handlebars.php:
  109: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
  115: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
  139: '.$sp.'         data-role="delete">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-remove mw-ui-icon-remove-destructive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-delete-',((isset($in['moderationTemplate']) && is_array($in)) ? $in['moderationTemplate'] : null)),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['undelete']) && is_array($in['actions'])) ? $in['actions']['undelete'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-destructive mw-ui-quiet mw-ui-hovericon"
  143: '.$sp.'         data-role="undelete">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-remove mw-ui-icon-remove-destructive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-undelete-',((isset($in['moderationTemplate']) && is_array($in)) ? $in['moderationTemplate'] : null)),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['suppress']) && is_array($in['actions'])) ? $in['actions']['suppress'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-destructive mw-ui-quiet mw-ui-hovericon"
  153: '.$sp.'  <div class="flow-menu-js-drop"><a href="javascript:void(0);"><span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-ellipsis"></span></a></div>

extensions/Flow/handlebars/compiled/flow_block_topic_moderate_topic.handlebars.php:
  109: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
  115: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
  139: '.$sp.'         data-role="delete">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-remove mw-ui-icon-remove-destructive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-delete-',((isset($in['moderationTemplate']) && is_array($in)) ? $in['moderationTemplate'] : null)),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['undelete']) && is_array($in['actions'])) ? $in['actions']['undelete'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-destructive mw-ui-quiet mw-ui-hovericon"
  143: '.$sp.'         data-role="undelete">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-remove mw-ui-icon-remove-destructive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-undelete-',((isset($in['moderationTemplate']) && is_array($in)) ? $in['moderationTemplate'] : null)),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['suppress']) && is_array($in['actions'])) ? $in['actions']['suppress'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-destructive mw-ui-quiet mw-ui-hovericon"
  153: '.$sp.'  <div class="flow-menu-js-drop"><a href="javascript:void(0);"><span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-ellipsis"></span></a></div>

extensions/Flow/handlebars/compiled/flow_block_topiclist.handlebars.php:
   83: '.$sp.'' : '').'';},'flow_topic_moderation_flag' => function ($cx, $in, $sp) {return ''.$sp.'<span class="mw-ui-icon mw-ui-icon-before'.LCRun3::hbch($cx, 'ifCond', array(array(((isset($in['moderateState']) && is_array($in)) ? $in['moderateState'] : null),'===','lock'),array()), $in, false, function($cx, $in)use($sp){return ' mw-ui-icon-check';}).''.LCRun3::hbch($cx, 'ifCond', array(array(((isset($in['moderateState']) && is_array($in)) ? $in['moderateState'] : null),'===','hide'),array()), $in, false, function($cx, $in)use($sp){return ' mw-ui-icon-flag';}).''.LCRun3::hbch($cx, 'ifCond', array(array(((isset($in['moderateState']) && is_array($in)) ? $in['moderateState'] : null),'===','delete'),array()), $in, false, function($cx, $in)use($sp){return ' mw-ui-icon-trash';}).'"></span>
   91: '.$sp.'    '.((LCRun3::ifvar($cx, ((isset($in['isLocked']) && is_array($in)) ? $in['isLocked'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check"></span> ' : '').''.LCRun3::ch($cx, 'escapeContent', array(array(((isset($in['content']['format']) && is_array($in['content'])) ? $in['content']['format'] : null),((isset($in['content']['content']) && is_array($in['content'])) ? $in['content']['content'] : null)),array()), 'encq').'</h2>
  144: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
  150: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
  189: '.$sp.'    <div class="flow-menu-js-drop"><a href="javascript:void(0);"><span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-ellipsis"></span></a></div>
  245: '.$sp.'    <div class="flow-ui-loading"><div class="mw-ui-icon mw-ui-icon-before mw-ui-icon-advanced"></div></div>

extensions/Flow/handlebars/compiled/flow_post.handlebars.php:
   86: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
   92: '.$sp.'           href="'.htmlentities((string)((isset($in['actions']['lock']['url']) && is_array($in['actions']['lock'])) ? $in['actions']['lock']['url'] : null), ENT_QUOTES, 'UTF-8').'">'.((LCRun3::ifvar($cx, ((isset($in['moderationIcons']) && is_array($in)) ? $in['moderationIcons'] : null))) ? '<span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check mw-ui-icon-check-progressive-hover"></span> ' : '').''.LCRun3::ch($cx, 'l10n', array(array(LCRun3::ch($cx, 'concat', array(array('flow-',((isset($in['moderationType']) && is_array($in)) ? $in['moderationType'] : null),'-action-lock-topic'),array()), 'raw')),array()), 'encq').'</a>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'</li>' : '').''.((LCRun3::ifvar($cx, ((isset($in['actions']['unlock']) && is_array($in['actions'])) ? $in['actions']['unlock'] : null))) ? '<li>'.htmlentities((string)((isset($in['noop']) && is_array($in)) ? $in['noop'] : null), ENT_QUOTES, 'UTF-8').'<a class="'.htmlentities((string)((isset($in['moderationMwUiClass']) && is_array($in)) ? $in['moderationMwUiClass'] : null), ENT_QUOTES, 'UTF-8').' mw-ui-progressive mw-ui-quiet mw-ui-hovericon flow-ui-topicmenu-lock"
  130: '.$sp.'  <div class="flow-menu-js-drop"><a href="javascript:void(0);"><span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-ellipsis"></span></a></div>

extensions/Flow/modules/engine/misc/mw-ui.modal.js:
   79:    '<a href="#" class="mw-ui-anchor mw-ui-quiet mw-ui-destructive flow-ui-modal-heading-prev" data-flow-interactive-handler="modalPrevOrClose"><span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-close"></span></a>' +
   80:    '<a href="#" class="mw-ui-anchor mw-ui-quiet mw-ui-progressive flow-ui-modal-heading-next" data-flow-interactive-handler="modalNextOrSubmit"><span class="mw-ui-icon mw-ui-icon-before mw-ui-icon-check"></span></a>' +

extensions/Flow/tests/browser/features/support/pages/abstract_flow_page.rb:
  171:     page.flow_first_topic_heading_element.span_element(css: '.mw-ui-icon-check')

extensions/GoogleLogin/javascripts/specialpages/ext.GoogleLogin.specialManage.js:
   95:              $: self.$, label: 'Data could not be loaded', icon: 'alert'

extensions/Graph/modules/ve-graph/ve.ui.MWGraphDialog.js:
  191:    .setIcon( 'code' )

extensions/Kartographer/modules/dialog/dialog.js:
   59:            icon: 'info',

extensions/Kartographer/modules/dialog-sidebar/sidebar.js:
  285:        icon: 'close',
  302:        icon: 'expand',

extensions/Kartographer/modules/ve-maps/ve.ui.MWMapsDialog.js:
  105:    icon: 'info',

extensions/LanguageTool/modules/ext.LanguageToolDialog.js:
   72:    icon: 'check',
   76:    icon: 'previous',
   81:    icon: 'next',

extensions/MobileFrontend/resources/mobile.categories.overlays/CategoryLookupInputWidget.js:
   31:      icon: 'check',

extensions/Newsletter/includes/content/NewsletterContent.php:
  272:          'icon' => 'settings',
  280:          'icon' => 'info',
  291:          'icon' => 'comment',

extensions/PerformanceInspector/modules/ext.PerformanceInspector.view.js:
   66:      icon: 'info',

extensions/PerformanceInspector/modules/collectors/ext.PerformanceInspector.modulescss.js:
  157:            icon: 'info',

extensions/Popups/resources/ext.popups/templates/preview.mustache:
    9:       <a class="mwe-popups-settings-icon mw-ui-icon mw-ui-icon-element mw-ui-icon-popups-settings"></a>

extensions/Popups/resources/ext.popups/templates/settings.mustache:
    4:      <div class="mw-ui-icon mw-ui-icon-element mw-ui-icon-popups-close close">Close</div>

extensions/RevisionSlider/modules/ext.RevisionSlider.HelpButtonView.js:
   16:        icon: 'help',

extensions/RevisionSlider/modules/ext.RevisionSlider.init.js:
   65:      toggleButton.setIcon( 'collapse' ).setTitle( mw.message( 'revisionslider-toggle-title-collapse' ).text() );
   73:      toggleButton.setIcon( 'expand' ).setTitle( mw.message( 'revisionslider-toggle-title-expand' ).text() );

extensions/RevisionSlider/modules/ext.RevisionSlider.SliderArrowView.js:
   29:        icon: 'previous',
   70:        icon: 'next',

extensions/TemplateData/modules/ext.templateDataGenerator.ui.tdDialog.js:
  171:      icon: 'advanced',

extensions/TemplateData/modules/widgets/ext.templateDataGenerator.paramWidget.js:
   15:  mw.TemplateData.ParamWidget.parent.call( this, $.extend( {}, config, { data: data.key, icon: 'menu' } ) );

extensions/TwoColConflict/includes/TwoColConflictPage.php:
  176:      'icon' => 'help',

extensions/UploadWizard/resources/mw.UploadWizardDetails.js:
  186:        icon: 'remove',

extensions/UploadWizard/resources/ui/steps/uw.ui.Details.js:
  178:        .prepend( new OO.ui.IconWidget( { icon: 'alert', flags: [ 'warning' ] } ).$element, ' ' );
  208:        .prepend( new OO.ui.IconWidget( { icon: 'info' } ).$element, ' ' );

extensions/VisualEditor/lib/ve/demos/ve/demo.minimal.js:
   30:    convertButton = new OO.ui.ButtonWidget( { label: 'Convert to HTML', icon: 'expand' } ).on( 'click', function () {

extensions/VisualEditor/lib/ve/demos/ve/ve.demo.init.js:
   21:      icon: 'add',

extensions/VisualEditor/lib/ve/src/ce/ve.ce.BranchNode.js:
  317:        icon: 'add',

extensions/VisualEditor/lib/ve/src/init/ve.init.Target.js:
  123:    icon: 'add',

extensions/VisualEditor/lib/ve/src/init/sa/ve.init.sa.MobileTarget.js:
   59:    icon: 'add',

extensions/VisualEditor/lib/ve/src/init/sa/ve.init.sa.Target.js:
   52:    icon: 'menu',

extensions/VisualEditor/lib/ve/src/ui/ve.ui.DebugBar.js:
   32:    icon: 'close',

extensions/VisualEditor/lib/ve/src/ui/dialogs/ve.ui.FindAndReplaceDialog.js:
  103:    icon: 'previous',
  109:    icon: 'next',

extensions/VisualEditor/lib/ve/src/ui/dialogs/ve.ui.ProgressDialog.js:
   88:            icon: 'cancel',

extensions/VisualEditor/modules/ve-mw/init/targets/ve.init.mw.DesktopArticleTarget.js:
  111:    icon: 'menu',

extensions/VisualEditor/modules/ve-mw/ui/dialogs/ve.ui.MWMediaDialog.js:
  570:          icon: 'info',

extensions/VisualEditor/modules/ve-mw/ui/elements/ve.ui.MWExpandableErrorElement.js:
   36:    icon: 'expand'

extensions/VisualEditor/modules/ve-mw/ui/pages/ve.ui.MWAdvancedSettingsPage.js:
   32:    icon: 'advanced'
  160:      .setIcon( 'advanced' )

extensions/VisualEditor/modules/ve-mw/ui/pages/ve.ui.MWCategoriesPage.js:
   32:    icon: 'tag'
   36:    icon: 'settings'
   87:      .setIcon( 'tag' )

extensions/VisualEditor/modules/ve-mw/ui/pages/ve.ui.MWParameterPage.js:
  129:      icon: 'info',
  139:      icon: 'info',
  149:      icon: 'remove',

extensions/VisualEditor/modules/ve-mw/ui/pages/ve.ui.MWSettingsPage.js:
   34:    icon: 'settings'
  180:      .setIcon( 'settings' )

extensions/VisualEditor/modules/ve-mw/ui/tools/ve.ui.MWPopupTool.js:
  134:    icon: 'help',
  147:    icon: 'comment',

extensions/VisualEditor/modules/ve-mw/ui/widgets/ve.ui.MWInternalLinkAnnotationWidget.js:
   58:    icon: 'search',

extensions/VisualEditor/modules/ve-mw/ui/widgets/ve.ui.MWMediaInfoFieldWidget.js:
   84:      icon: 'expand',

extensions/Wikibase/client/includes/Notifications/PageConnectionPresentationModel.php:
  118:          'icon' => 'help',

extensions/WikibaseQualityConstraints/docs/user.js:
   10:      icon: 'alert',
   44:        icon: 'help',

extensions/Wikidata/extensions/Constraints/docs/user.js:
   10:      icon: 'alert',
   44:        icon: 'help',

extensions/Wikidata/extensions/Wikibase/client/includes/Notifications/PageConnectionPresentationModel.php:
  118:          'icon' => 'help',
Jdforrester-WMF updated the task description. (Show Details)

Change 356777 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] resources: Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/356777

Jdforrester-WMF updated the task description. (Show Details)

Change 356777 merged by jenkins-bot:
[mediawiki/core@master] resources: Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/356777

Change 356792 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Audit CX icon dependencies

https://gerrit.wikimedia.org/r/356792

Change 356792 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Audit CX icon dependencies

https://gerrit.wikimedia.org/r/356792

ContentTranslation should be fine now.

ContentTranslation should be fine now.

Thank you so much; I had planned to do that today but now I don't have to. :-)

matmarex updated the task description. (Show Details)Jun 3 2017, 10:40 AM

Change 357004 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/Cite@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357004

Change 357007 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/TemplateData@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357007

Change 357009 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/UploadWizard@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357009

matmarex updated the task description. (Show Details)Jun 3 2017, 11:01 AM

Change 357011 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Add appropriate OOjs UI icon pack dependencies for OOjs UI itself

https://gerrit.wikimedia.org/r/357011

Change 357007 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357007

Change 357004 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357004

Change 357009 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357009

Change 357211 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/TwoColConflict@master] TwoColConflictPage: Load appropriate OOjs UI icon pack

https://gerrit.wikimedia.org/r/357211

matmarex updated the task description. (Show Details)Jun 5 2017, 2:32 PM

Change 357214 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/Graph@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357214

Change 357215 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/Kartographer@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357215

Change 357217 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357217

matmarex updated the task description. (Show Details)Jun 5 2017, 2:44 PM
matmarex updated the task description. (Show Details)Jun 5 2017, 2:48 PM

Change 357219 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357219

matmarex updated the task description. (Show Details)Jun 5 2017, 2:55 PM

Change 357214 merged by jenkins-bot:
[mediawiki/extensions/Graph@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357214

matmarex updated the task description. (Show Details)Jun 5 2017, 2:56 PM

Change 357217 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357217

Change 357215 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357215

Change 357219 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add appropriate OOjs UI icon pack dependencies

https://gerrit.wikimedia.org/r/357219

Jdforrester-WMF renamed this task from Update extensions for removal of core icon pack in OOjs UI v0.22 to Update MediaWiki and Wikimedia-deployed extensions for removal of core icon pack in OOjs UI v0.22.Jun 5 2017, 3:35 PM
Jdforrester-WMF updated the task description. (Show Details)

OK, I've re-scoped this to the bit of this that blocks the train; can we mark this as Resolved and help the maintainers of the other repos later?

Change 357211 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] TwoColConflictPage: Load appropriate OOjs UI icon pack

https://gerrit.wikimedia.org/r/357211

Jdforrester-WMF closed this task as Resolved.Jun 5 2017, 5:01 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 5 2017, 5:01 PM

Change 356856 had a related patch set uploaded (by Tobias Gritschacher; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] Fix help button icon

https://gerrit.wikimedia.org/r/356856

@matmarex Repeating from above, should we also rename the instances mentioned in https://phabricator.wikimedia.org/T166730#3308892?

Change 356856 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Fix help button icon

https://gerrit.wikimedia.org/r/356856

Change 357376 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Rename all files used in ResourceLoaderImageModule tests to fake names

https://gerrit.wikimedia.org/r/357376

Change 357011 merged by jenkins-bot:
[mediawiki/core@master] Add appropriate OOjs UI icon pack dependencies for OOjs UI itself

https://gerrit.wikimedia.org/r/357011

Change 357376 merged by jenkins-bot:
[mediawiki/core@master] Rename all files used in ResourceLoaderImageModule tests to fake names

https://gerrit.wikimedia.org/r/357376

ProofreadPage code decides which icon to use dynamically, and was missed by my simple regexp searches. https://phabricator.wikimedia.org/diffusion/EPRP/browse/master/modules/page/ext.proofreadpage.page.navigation.js

Sorry, and thanks for handling it.

Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.
Restricted Application added a subscriber: jeblad. · View Herald TranscriptMar 22 2018, 5:41 AM